---
type: api
title: Start an Entity Engine
description: **Spaces method and path for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-startentityengine
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v8/operation/operation-startentityengine
products:
  - Kibana
---

# Start an Entity Engine

- Server: `https://{kibana_url}`

## Paths

- `POST` `/api/entity_store/engines/{entityType}/start`
- `POST` `/s/{space_id}/api/entity_store/engines/{entityType}/start`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v8/authentication#basicauth)

#### Path Parameters

- `entityType` (enum)
  The entity type of the engine to start.
  Values: `user`, `host`, `service`

## Description

Refer to [Spaces](https://www.elastic.co/docs/deploy-manage/manage-spaces) for more information.

Start a previously stopped entity engine, resuming transform processing for the given entity type.

## Response

Successful response

`application/json`

- `started` (boolean)
  Whether the engine was successfully started.
## Code Examples

#### Console

```console
POST /api/entity_store/engines/{entityType}/start
```

#### curl

```curl
curl -X POST "https://{kibana_url}/api/entity_store/engines/{entityType}/start"
```

## Response Examples

#### Engine started successfully

The engine was successfully started and is now processing data.

```json
{
  "started": true
}
```

